PETSc version 3.15.5
Fix/Edit manual page

# PetscSNPrintfCount

Prints to a string of given length, returns count

### Synopsis

    PetscErrorCode PetscSNPrintfCount(char *str,size_t len,const char format[],size_t *countused,...)

Not Collective

### Input Parameters

| str | - the string to print to
| len | - the length of str
| format | - the usual printf() format string
| ... | - any arguments that are to be printed, each much have an appropriate symbol in the format argument

### Output Parameter

| countused | - number of characters used

### See Also

PetscSynchronizedFlush(), PetscSynchronizedFPrintf(), PetscFPrintf(), PetscVSNPrintf(),
PetscPrintf(), PetscViewerASCIIPrintf(), PetscViewerASCIISynchronizedPrintf(), PetscSNPrintf(), PetscVFPrintf()

### Level

intermediate

### Location

src/sys/fileio/mprint.c

### Examples

src/ts/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages